import { EventEmitter } from '@angular/core';
import * as common from 'file-uploader-component';
/**
 * @public
 */
export declare class FileUploaderComponent {
    accept?: string;
    multiple?: boolean;
    locale?: common.Locale;
    name?: string;
    url?: string;
    method?: string;
    fileGot: EventEmitter<File | Blob>;
    fileUploaded: EventEmitter<any>;
    readonly localeObject: {
        dragAndDrop: string;
        selectFile: string;
        pasteFromClipboard: string;
    };
    requests: common.UploadRequest[];
    onDrop(e: DragEvent): void;
    onPaste(e: ClipboardEvent): void;
    onFileUploaded(e: Event): void;
    trackBy(request: common.UploadRequest, index: number): number;
}
